## blazar-dashboard 13.0.0

=== requirements.txt ===
# Note: Requirements lower bounds listed here are our best effort to keep them
# up to date but we do not test them so there is no guarantee of having them
# all correct. If you find any incorrect lower bounds, let us know or propose a
# fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-blazarclient>=1.0.1 # Apache-2.0
horizon>=17.1.0  # Apache-2.0

=== debian/changelog ===
blazar-dashboard (13.0.0-2) unstable; urgency=medium

  * Reupload source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Apr 2025 11:28:53 +0200

blazar-dashboard (13.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #1100501).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 15:26:50 +0200

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/blazar-dashboard refs/tags/(\d[brc\d\.]+)

## blazar-dashboard 14.0.0~rc1

=== debian/changelog ===
blazar-dashboard (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:46:02 +0200

blazar-dashboard (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Replace_minified_apexcharts_by_full_version.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 09:35:37 +0200

## blazar-dashboard 14.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.3.0 # BSD

=== debian/changelog ===
blazar-dashboard (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:06:26 +0200

=== debian/control ===
Source: blazar-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-babel,
 python3-blazarclient,
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.7.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/blazar-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/blazar-dashboard
Homepage: https://github.com/openstack/blazar-dashboard

Package: python3-blazar-dashboard
Architecture: all
Depends:
 openstack-dashboard,
 python3-blazarclient,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: Horizon plugin for the Blazar Reservation Service for OpenStack
 Blazar is a resource reservation service for OpenStack. Blazar enables users
 to reserve a specific type/amount of resources for a specific time period and
 it leases these resources to users based on their reservations.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage *.egg-info
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		python$$i manage.py test blazar_dashboard --settings=blazar_dashboard.test.settings ; \
	done
endif

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/blazar_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "No unit tests yet in this project."
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif
